## org.apache.batik.apps.svgbrowser
Class JSVGViewerFrame.PreviousTransformAction

    java.lang.Object
      javax.swing.AbstractAction
          org.apache.batik.apps.svgbrowser.JSVGViewerFrame.PreviousTransformAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, JComponentModifier, java.io.Serializable

Enclosing class:
  JSVGViewerFrame

public class JSVGViewerFrame.PreviousTransformAction
extends javax.swing.AbstractAction
implements JComponentModifier

To go back to the previous transform

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`JSVGViewerFrame.PreviousTransformAction()`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `addJComponent(javax.swing.JComponent c)` Gives a reference to a component to this object
`protected void` `update()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGViewerFrame.PreviousTransformAction

    public JSVGViewerFrame.PreviousTransformAction()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### addJComponent

    public void addJComponent(javax.swing.JComponent c)

  Description copied from interface: `JComponentModifier`
  Gives a reference to a component to this object

  Specified by:
    `addJComponent` in interface `JComponentModifier`
  Parameters:
    `c` - the component associed with this object

### update

    protected void update()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.